Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions(), nonpersistent, navigationitem(False), creatableitem(False)> _
Public Class InvoiceFactoringHeaderPopup
    Inherits BaseObject
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
        ' This constructor is used when an object is loaded from a persistent storage.
        ' Do not place any code here or place it only when the IsLoading property is false:
        ' if (!IsLoading){
        '   It is now OK to place your initialization code here.
        ' }
        ' or as an alternative, move your initialization code into the AfterConstruction method.
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
        ' Place here your initialization code.
    End Sub

    Property DocumentNumber As String 'A bank által jóváhagyott sorszám
    Property ContractFile As FileData 'A bank által visszaküldött engedményezési szerződés
    Property Description As String 'Egyéb megjegyzés
    Property DateExecution As Date 'Dátum
    Property InterestPercent As Double '3 havi BUBOR + mars!!!
    Property SpreadFile As FileData
End Class
